## ndiswrapper 1.59

=== debian/changelog ===
ndiswrapper (1.59-6) unstable; urgency=medium

  * Add support for Kernel 4.2.
    Thanks to Tim Gardner at Canonical

 -- Julian Andres Klode <jak@debian.org>  Thu, 13 Aug 2015 15:55:01 +0200

ndiswrapper (1.59-5) unstable; urgency=medium

  * ndiswrapper: postrm: Fix test for /etc/ndiswrapper existence
  * ndiswrapper: postrm: Delete /etc/modprobe.d/ndiswrapper.conf on purge
    (LP: #712120)

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 May 2015 21:12:36 +0200

ndiswrapper (1.59-4) unstable; urgency=medium

  * debian/control: Fix Vcs-Browser URL
  * Drop the ndiswrapper-common package and drop -1.9 suffix (Closes: #584843)
  * Drop NEWS and README.source, they are unused now
  * Rename ndiswrapper-utils-1.9 to ndiswrapper (Closes: #668994)
  * ndiswrapper: Move install commands to .install file
  * Reorganize module building files
  * ndiswrapper-dkms: Use -V option of dh_dkms
  * Switch to debhelper 9
  * ndiswrapper: Remove /etc/ndiswrapper on purge (Closes: #584853)
    (LP: #712120)
  * ndiswrapper: Depend on ${perl:Depends}
  * modules/control.modules.in: Update source paragraph from control
  * debian/modules/rules: Use DESTDIR instead of DIST_DESTDIR
  * Drop Kel from uploaders, he's not actively involved anymore

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 May 2015 20:55:24 +0200

ndiswrapper (1.59-3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Rename patch files using patch queue
  * Add support for kernel 4.0
  * debian/control: Bump Standards-Version to 3.9.6
  * debian/copyright: Fix some patterns and update copyright year
  * debian/control: Use canonical Vcs URLs
  * debian/patches: Re-add lost bug-tracker entries
  * debian/gbp.conf: Add

  [ Chris Lamb ]
  * debian/rules: Make the build reproducible (Closes: #778222)

 -- Julian Andres Klode <jak@debian.org>  Tue, 12 May 2015 17:26:17 +0200

ndiswrapper (1.59-2) unstable; urgency=medium

  * Only support modprobe.d (Closes: #724890)
  * debian/control: Set Standards-Version to 3.9.5
  * Recommend ndiswrapper-dkms in Ubuntu builds as well
  * kernel-3.14.patch: Add support for kernel 3.14

 -- Julian Andres Klode <jak@debian.org>  Wed, 19 Mar 2014 16:08:06 +0100

ndiswrapper (1.59-1) unstable; urgency=medium

  * Imported Upstream version 1.59
  * Drop unused patches and fixup the remaining ones

 -- Julian Andres Klode <jak@debian.org>  Fri, 27 Dec 2013 16:28:41 +0100

=== debian/control ===
Source: ndiswrapper
Section: misc
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), bzip2, dkms
Vcs-Git: git://anonscm.debian.org/collab-maint/ndiswrapper.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ndiswrapper.git/
Homepage: http://ndiswrapper.sourceforge.net/

Package: ndiswrapper
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: ndiswrapper-dkms
Suggests: ndiswrapper-source
Provides: ndiswrapper-utils-1.9, ndiswrapper-common
Replaces: ndiswrapper-common (<< 1.59-4~), ndiswrapper-utils-1.9 (<< 1.59-4~)
Breaks: ndiswrapper-common (<< 1.59-4~), ndiswrapper-utils-1.9 (<< 1.59-4~)
Description: Userspace utilities for the ndiswrapper Linux kernel module
 Some vendors do not release specifications of the hardware or provide a
 Linux driver for their wireless network cards. This project implements
 Windows kernel API and NDIS (Network Driver Interface Specification) API
 within Linux kernel. A Windows driver for wireless network card is then
 linked to this implementation so that the driver runs natively, as though
 it is in Windows, without binary emulation.
 .
 This package contains the userspace tools. You will also need the kernel
 module package.

Package: ndiswrapper-source
Architecture: all
Section: kernel
Depends: ${misc:Depends}, module-assistant, debhelper (>= 5), bzip2
Suggests: kernel-package
Description: Source for the ndiswrapper Linux kernel module
 Some vendors do not release specifications of the hardware or provide a
 Linux driver for their wireless network cards. This project implements
 Windows kernel API and NDIS (Network Driver Interface Specification) API
 within Linux kernel. A Windows driver for wireless network card is then
 linked to this implementation so that the driver runs natively, as though
 it is in Windows, without binary emulation.
 .
 This package provides the source code for the ndiswrapper kernel module.

Package: ndiswrapper-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends}
Description: Source for the ndiswrapper Linux kernel module (DKMS)
 Some vendors do not release specifications of the hardware or provide a
 Linux driver for their wireless network cards. This project implements
 Windows kernel API and NDIS (Network Driver Interface Specification) API
 within Linux kernel. A Windows driver for wireless network card is then
 linked to this implementation so that the driver runs natively, as though
 it is in Windows, without binary emulation.
 .
 This package provides the source code for ndiswrapper kernel module to be
 build with dkms.

Package: ndiswrapper-utils-1.9
Architecture: all
Depends: ${misc:Depends}, ndiswrapper (>= 1.59-4~)
Section: oldlibs
Priority: extra
Description: Transitional dummy package upgrading to ndiswrapper
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)

%:
	dh $@ --with=dkms --sourcedirectory=utils

override_dh_install:
	dh_install
	set -e; if [ -e debian/ndiswrapper-source/usr/src/modules ]; then \
		cd debian/ndiswrapper-source/usr/src/; \
		tar cjf ndiswrapper.tar.bz2  --mtime="$(BUILD_DATE)" modules; \
		rm -r modules; \
	fi

override_dh_dkms:
	dh_dkms -V

## ndiswrapper 1.60

=== Makefile ===
DRIVER_VERSION = $(shell sed -n 's/^\#define[ \t]\+DRIVER_VERSION[ \t]\+"\([^"]\+\)"/\1/p' driver/ndiswrapper.h)

UTILS_VERSION = $(shell sed -n 's/^\#define[ \t]\+UTILS_VERSION[ \t]\+"\([^"]\+\)"/\1/p' driver/ndiswrapper.h)

distdir=ndiswrapper-${DRIVER_VERSION}
distarchive=${distdir}.tar.gz

DISTFILES=AUTHORS ChangeLog INSTALL Makefile README ndiswrapper.spec \
				   ndiswrapper.8 loadndisdriver.8
SUBDIRS = utils driver

ifeq ($(wildcard /usr/share/man)$(wildcard /usr/man),/usr/man)
mandir = /usr/man
else
mandir = /usr/share/man
endif

.PHONY: all
all: $(SUBDIRS)

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: install
install:
	$(MAKE) -C driver install
	$(MAKE) -C utils install
	mkdir -p -m 755 $(DESTDIR)$(mandir)/man8
	install -m 644 ndiswrapper.8 $(DESTDIR)$(mandir)/man8
	install -m 644 loadndisdriver.8 $(DESTDIR)$(mandir)/man8

.PHONY: clean distclean
clean:
	$(MAKE) -C driver clean
	$(MAKE) -C utils clean
	rm -f *~
	rm -fr ${distdir} ${distdir}.tar.gz patch-stamp

distclean: clean
	$(MAKE) -C driver distclean
	$(MAKE) -C utils distclean
	rm -f .\#*

uninstall:
	rm -f $(DESTDIR)$(mandir)/man8/ndiswrapper.8
	rm -f $(DESTDIR)$(mandir)/man8/loadndisdriver.8
	$(MAKE) -C driver uninstall
	$(MAKE) -C utils uninstall

dist:
	@rm -rf ${distdir}
	mkdir -p ${distdir}
	@for file in $(DISTFILES); do \
	  cp $$file $(distdir)/$$file || exit 1; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) -C driver distdir=../${distdir}/driver dist
	$(MAKE) -C utils distdir=../${distdir}/utils dist

	# Update version in dist rpm spec file
	sed "s/\%define\s\+ndiswrapper_version\s\+[^\}]\+\}/%define ndiswrapper_version $(DRIVER_VERSION)\}/" \
		ndiswrapper.spec >$(distdir)/ndiswrapper.spec
	tar cfz ${distarchive} ${distdir}

rpm: dist ndiswrapper.spec
	rpmbuild -ta $(distarchive) --define="ndiswrapper_version $(DRIVER_VERSION)"

=== utils/Makefile ===
sbindir = /sbin
usrsbindir = /usr/sbin

DRIVER_DIR ?= ../driver
HEADERS = $(DRIVER_DIR)/loader.h $(DRIVER_DIR)/ndiswrapper.h

CC = gcc
HOSTCC = $(CC)
CFLAGS = -g -Wall -I$(DRIVER_DIR)

DISTFILES=Makefile ndiswrapper loadndisdriver.c ndiswrapper-buginfo

all: loadndisdriver

loadndisdriver: loadndisdriver.c $(HEADERS)
	$(HOSTCC) $(CFLAGS) $(LDFLAGS) -o $@ $<

clean:
	rm -f *~ *.o loadndisdriver

distclean: clean
	rm -f .\#*

install: all
	mkdir -p -m 755 $(DESTDIR)$(sbindir)
	mkdir -p -m 755 $(DESTDIR)$(usrsbindir)
	install -m 755 loadndisdriver $(DESTDIR)$(sbindir)
	install -m 755 ndiswrapper $(DESTDIR)$(usrsbindir)
	install -m 755 ndiswrapper-buginfo $(DESTDIR)$(usrsbindir)

uninstall:
	rm -f $(DESTDIR)$(sbindir)/loadndisdriver
	rm -f $(DESTDIR)$(usrsbindir)/ndiswrapper
	rm -f $(DESTDIR)$(usrsbindir)/ndiswrapper-buginfo

dist:
	@for file in $(DISTFILES); do \
	  cp $$file $(distdir)/$$file || exit 1; \
	done

=== debian/changelog ===
ndiswrapper (1.60-8ubuntu2) focal; urgency=medium

  * Add support for kernel 5.4 (LP: #1848588)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 12 Nov 2019 15:43:03 +0000

ndiswrapper (1.60-8ubuntu1) eoan; urgency=medium

  * Add support for kernel 5.3 (LP: #1837889)

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 29 Jul 2019 16:06:02 -0400

ndiswrapper (1.60-8) unstable; urgency=medium

  * debian/rules: Pass --sort=name to tar for reproducible build

 -- Julian Andres Klode <jak@debian.org>  Sat, 26 Jan 2019 09:28:54 +0100

ndiswrapper (1.60-7) unstable; urgency=medium

  * Add support for kernel 5.0 (LP: #1813063)
  * Point Vcs info to salsa
  * Bump Standards-Version to 4.3.0

 -- Julian Andres Klode <jak@debian.org>  Fri, 25 Jan 2019 21:11:48 +0100

ndiswrapper (1.60-6) unstable; urgency=medium

  [ Seth Forshee ]
  * Build fixes for 4.15 (LP: #1737749)

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Jan 2018 19:14:21 +0100

ndiswrapper (1.60-5) unstable; urgency=medium

  [ Seth Forshee ]
  * Build fix for 4.13 (LP: #1706430)

  [ Julian Andres Klode ]
  * Drop transitional ndiswrapper-utils-1.9 package
  * Bump Standards-Version to 4.1.1

 -- Julian Andres Klode <jak@debian.org>  Sun, 05 Nov 2017 14:38:21 +0100

ndiswrapper (1.60-4) experimental; urgency=medium

  [ Seth Forshee ]
  * Build fixes for Linux 4.11 (LP: #1691838)

 -- Julian Andres Klode <jak@debian.org>  Fri, 09 Jun 2017 16:30:49 +0200

ndiswrapper (1.60-3) unstable; urgency=medium

  * Use netif_trans_update() for kernels >= 4.7 (Closes: #837329) (LP: #1625089)

 -- Julian Andres Klode <jak@debian.org>  Thu, 22 Sep 2016 11:01:46 +0200

ndiswrapper (1.60-2) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fix FTBFS of userspace stuff by not using kernel variables
  * Build with full hardening enabled

  [ Reiner Herrmann ]
  * make the build reproducible (Closes: #803583)

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2016 13:56:14 +0200

ndiswrapper (1.60-1) unstable; urgency=medium

  * Imported Upstream version 1.60
  * Drop kernel 3.14-4.2 support patches, fixed upstream
  * Bump Standards-Version to 3.9.8
  * Switch Vcs URIs to the safe https ones
  * Fix copyright file format

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2016 12:27:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ndiswrapper
 Section: misc
 Priority: optional
-Maintainer: Julian Andres Klode <jak@debian.org>
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), bzip2, dkms
-Vcs-Git: git://anonscm.debian.org/collab-maint/ndiswrapper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ndiswrapper.git/
+Vcs-Git: https://salsa.debian.org/jak/ndiswrapper.git
+Vcs-Browser: https://salsa.debian.org/jak/ndiswrapper
 Homepage: http://ndiswrapper.sourceforge.net/
 
 Package: ndiswrapper
@@ -56,11 +57,3 @@
  .
  This package provides the source code for ndiswrapper kernel module to be
  build with dkms.
-
-Package: ndiswrapper-utils-1.9
-Architecture: all
-Depends: ${misc:Depends}, ndiswrapper (>= 1.59-4~)
-Section: oldlibs
-Priority: extra
-Description: Transitional dummy package upgrading to ndiswrapper
- This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=3
http://sf.net/ndiswrapper/ndiswrapper-([0-9]\.[0-9]+)\.tar\.gz debian uupdate

## ndiswrapper 1.61

=== debian/changelog ===
ndiswrapper (1.61-0mx17+3) mx; urgency=medium

  * Cherry-pick 0008-Build-fixes-for-Linux-4.15.patch from upstream Debian.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Feb 2018 14:42:16 -0800

ndiswrapper (1.61-0mx17+2) mx; urgency=medium

  * Cherry-pick linux-4.13.patch from https://github.com/pgiri/ndiswrapper
    to fix FTBFS on 4.13 kernel.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 19 Oct 2017 11:48:48 -0700

ndiswrapper (1.61-0mx15+1) mx; urgency=medium

  * New upstream release.
  * Add linux-4.11 patch to fix FTBFS on 4.11 kernel.
  * Disable 0004-loader.h-Only-include-kernel-header-when-building-ke.patch
    and 0005-Use-netif_trans_update-for-kernels-4.7.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Jun 2017 10:06:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ndiswrapper
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), bzip2, dkms
-Vcs-Git: https://salsa.debian.org/jak/ndiswrapper.git
-Vcs-Browser: https://salsa.debian.org/jak/ndiswrapper
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndiswrapper.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ndiswrapper.git
 Homepage: http://ndiswrapper.sourceforge.net/
 
 Package: ndiswrapper
@@ -57,3 +58,11 @@
  .
  This package provides the source code for ndiswrapper kernel module to be
  build with dkms.
+
+Package: ndiswrapper-utils-1.9
+Architecture: all
+Depends: ${misc:Depends}, ndiswrapper (>= 1.59-4~)
+Section: oldlibs
+Priority: extra
+Description: Transitional dummy package upgrading to ndiswrapper
+ This is a transitional dummy package. It can safely be removed.

## ndiswrapper 1.62

=== debian/changelog ===
ndiswrapper (1.62-0.1~mx19+3) mx; urgency=medium

  * Add kernel-5.6.patch from Arch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Apr 2020 12:52:08 -0700

ndiswrapper (1.62-0.1~mx19+2) mx; urgency=medium

  * Add kernel-5.5.patch from Arch.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 03 Feb 2020 17:01:07 -0800

ndiswrapper (1.62-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Adapt kernel-5.3.patch and kernel-5.4.patch from Arch AUR.
    - Drop other patches except for Please-enabled-hardened-build-flags.patch
      and Use-KERNELRELEASE-as-target-kernel-version.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Nov 2019 13:49:43 -0800

ndiswrapper (1.61-0.1~mx19+5) mx; urgency=medium

  * Import 0010-Build-fixes-for-Linux-5.3.patch from Ubuntu.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Sep 2019 13:58:08 -0700

ndiswrapper (1.61-0.1~mx19+4) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Jul 2019 10:46:47 -0700

ndiswrapper (1.61-0.1~mx17+4) mx; urgency=medium

  * Cherry-pick 0009-kernel-5.0-Replace-do_gettimeofday-with-ktime_get_re.patch
    from upstream Debian.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Mar 2019 14:32:29 -0700

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Package: ndiswrapper-source
 Architecture: all
 Section: kernel
-Depends: ${misc:Depends}, module-assistant, debhelper (>= 5), bzip2
+Depends: ${misc:Depends}, module-assistant, debhelper (>= 9), bzip2
 Suggests: kernel-package
 Description: Source for the ndiswrapper Linux kernel module
  Some vendors do not release specifications of the hardware or provide a

## ndiswrapper script

=== Makefile ===
DEBUG=yes
CC? = gcc
CFLAGS += -Wall -Wextra
SRC = ndiswrapper.c
ifndef PROJ
	PROJ = ndiswrapper
	STRIP = strip
else
	DEBUG = no
	LDFLAGS += -static
endif

ifeq ($(DEBUG),yes)
	CFLAGS += -g
endif

all: ndiswrapper

ndiswrapper: $(SRC)
	$(CC) $(SRC) $(CFLAGS) -o $(PROJ) $(LDFLAGS)
ifeq ($(DEBUG),no)
	$(STRIP) $(PROJ)
endif

clean:
	rm -f $(PROJ)

.phony: clean

distclean:
	rm -f ndiswrapper ndiswrapper.exe

.phony: distclean
